summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/virtinst/README7
-rw-r--r--system/virtinst/slack-desc19
-rw-r--r--system/virtinst/virtinst.SlackBuild66
-rw-r--r--system/virtinst/virtinst.info10
4 files changed, 102 insertions, 0 deletions
diff --git a/system/virtinst/README b/system/virtinst/README
new file mode 100644
index 0000000000..c6189d91ab
--- /dev/null
+++ b/system/virtinst/README
@@ -0,0 +1,7 @@
+virtinst is a module to help in starting installations of Fedora/Red
+Hat Enterprise Linux related distributions inside of virtual
+machines. It supports both paravirt guests (for which only FC and
+RHEL guests are currently supported) as well as fully virtualized
+guests.
+
+Requires: libvirt
diff --git a/system/virtinst/slack-desc b/system/virtinst/slack-desc
new file mode 100644
index 0000000000..5a865625d2
--- /dev/null
+++ b/system/virtinst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+virtinst: virtinst (paravirtualization module)
+virtinst:
+virtinst: virtinst is a module to help in starting installations of Fedora/Red
+virtinst: Hat Enterprise Linux related distributions inside of virtual machines.
+virtinst: It supports both paravirt guests (for which only FC and RHEL guests
+virtinst: are currently supported) as well as fully virtualized guests. It
+virtinst: uses libvirt (http://www.libvirt.org) for starting things.
+virtinst:
+virtinst:
+virtinst:
+virtinst:
diff --git a/system/virtinst/virtinst.SlackBuild b/system/virtinst/virtinst.SlackBuild
new file mode 100644
index 0000000000..c6ef843dfb
--- /dev/null
+++ b/system/virtinst/virtinst.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+PRGNAM=virtinst
+VERSION=${VERSION:-0.500.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root $PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Move and compress man pages
+mv $PKG/usr/share/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING HACKING INSTALL NEWS PKG-INFO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/virtinst/virtinst.info b/system/virtinst/virtinst.info
new file mode 100644
index 0000000000..67e23a1789
--- /dev/null
+++ b/system/virtinst/virtinst.info
@@ -0,0 +1,10 @@
+PRGNAM="virtinst"
+VERSION="0.500.2"
+HOMEPAGE="http://virt-manager.et.redhat.com"
+DOWNLOAD="http://virt-manager.et.redhat.com/download/sources/virtinst/virtinst-0.500.2.tar.gz"
+MD5SUM="8259de5523ba01b6398343b7c4545977"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ash Wiren"
+EMAIL="ash@spooksoftware.com"
+APPROVED="dsomero"